from .paggf_core import PAGGFCore
from . import paggf_version
from .ui.welcome import WelcomeEFDlg


class PAGGF_EF(PAGGFCore):
    def __init__(self, iface):
        super(PAGGF_EF, self).__init__(
            iface, paggf_version.EF, 'EF et Enregistrement TD')
        self.welcome_dlg_class = WelcomeEFDlg

    def paggf_menu_content(self):
        return [  # DEFINITION DE L'ARBRE DU MENU
            # quand (nom, list) = sous menu
            # quand (nom, nom_action) = un access a une action
            'Saisie EF',
            'Saisie TF',
            'Impression TF',
        ]
