"""
TODO
"""

import os

from PyQt5 import uic
from PyQt5.QtWidgets import QDialog
from qgis.core import QgsProject

from ..db import get_connection
from ..paggf_layers import LoadedLayers

from .dlg_with_shp_loader import DlgWithShpLoader

FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'BM_load_shp_parcel.ui'))


class BMLoadShpParcelDlg(QDialog, FORM_CLASS, DlgWithShpLoader):
    def __init__(self, parent=None):
        """Constructor.

        TODO
        """
        QDialog.__init__(self, parent)
        # Set up the user interface from Designer.
        self.setupUi(self)
        DlgWithShpLoader.__init__(self)

        self.project = QgsProject.instance()  # IDENTIQUE CID/BM
        self.layers = LoadedLayers()  # TODO CID LAYERS ? (code commun BM et CID)

        conn = get_connection()
        cur = conn.cursor()
        # TODO: METTRE DANS UN FICHIER REQUETES SQL
        cur.execute("\
select id, commission_reference, idc_parcel_code FROM gis.idc_parcels")
        # TODO utiliser gis.valid_idc_parcels

        self.commission_reference_choice.addItem('---', None)
        self.idc_parcel_code_choice.addItem('---', None)


        for cur_row in cur:
            self.commission_reference_choice.addItem(cur_row[1], cur_row[0])
            self.idc_parcel_code_choice.addItem(cur_row[2], cur_row[0])
