import os
from PyQt5 import uic
from PyQt5.QtWidgets import QDialog
from ..resources import *
from .. import plugin_version

FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'WELCOME_BM.ui'), resource_suffix='')


class WelcomeBMDlg(QDialog, FORM_CLASS):
    def __init__(self, parent=None):
        QDialog.__init__(self, parent)
        # Set up the user interface from Designer.
        self.setupUi(self)
        self.version_label.setText(self.version_label.text().replace("%VERSION%", plugin_version()))

FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'WELCOME_CID.ui'), resource_suffix='_ui')


class WelcomeCIDDlg(QDialog, FORM_CLASS):
    def __init__(self, parent=None):
        QDialog.__init__(self, parent)
        # Set up the user interface from Designer.
        self.setupUi(self)
        self.version_label.setText(self.version_label.text().replace("%VERSION%", plugin_version()))


FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'WELCOME_EF.ui'), resource_suffix='_ui')


class WelcomeEFDlg(QDialog, FORM_CLASS):
    def __init__(self, parent=None):
        QDialog.__init__(self, parent)
        # Set up the user interface from Designer.
        self.setupUi(self)
        self.version_label.setText(self.version_label.text().replace("%VERSION%", plugin_version()))
