# -*- coding: utf-8 -*-
from qgis.core import QgsProject


class CIDLayers:
    """Acces to the layers"""

    def __init__(self, parent=None):
        self.project = QgsProject.instance()
        self.layers = dict()

        # FIXME: faire charger les couches par le plugin plutôt que
        # de dépendre du chargement des couches par le projet ?

    def get(self, schema, table):
        if (schema, table) in self.layers:
            return self.layers[(schema, table)]
        for l in self.project.mapLayers().values():
            if '"{}"."{}"'.format(schema, table) in l.source():
                self.layers[(schema, table)] = l
                return l
        return None
