"""
This script initializes the plugin loader. The plugin loader will
initialize the version of the plugin in function of the project which is
open
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load PAGGF class from file PAGGF.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    from .paggf_loader import PAGGFLoader
    return PAGGFLoader(iface)

def plugin_version():
    return "0.6.0"
