@echo off
call %OSGEO4W_ROOT%\bin\py3_env.bat
pglite init
pglite drop paggf
pglite create paggf
echo drop extension if exists paggf | pglite psql paggf
echo create extension paggf cascade | pglite psql paggf
echo drop user if exists paggf_op | pglite psql paggf
echo create user paggf_op | pglite psql paggf
echo grant paggf_operator to paggf_op | pglite psql paggf

textreplace -std -t %OSGEO4W_ROOT%\apps\paggf\paggf_launch.bat

:: make sure there is no qgis running
nircmd killprocess qgis-dev-bin-g7.2.1.exe

:: overwrite QGIS3.ini
mkdir %APPDATA%\QGIS\QGIS3\profiles\paggf\QGIS
copy /Y %OSGEO4W_ROOT%\apps\paggf\QGIS3.ini %APPDATA%\QGIS\QGIS3\profiles\paggf\QGIS
mkdir %APPDATA%\postgresql
copy /Y %OSGEO4W_ROOT%\apps\paggf\pg_service.conf %APPDATA%\postgresql\.pg_service.conf

:: install shortcuts on desktop
nircmd shortcut "%OSGEO4W_ROOT%\apps\paggf\paggf_launch.bat" "~$folder.desktop$" "SIF-TD Inventaire" "%OSGEO4W_ROOT%\apps\paggf\paggf_encodage_cid.qgs" "%OSGEO4W_ROOT%\apps\paggf\icon.ico"
nircmd shortcut "%OSGEO4W_ROOT%\apps\paggf\paggf_launch.bat" "~$folder.desktop$" "SIF-TD Immatriculation" "%OSGEO4W_ROOT%\apps\paggf\paggf_encodage_bm.qgs" "%OSGEO4W_ROOT%\apps\paggf\icon.ico"
nircmd shortcut "%OSGEO4W_ROOT%\apps\paggf\paggf_launch.bat" "~$folder.desktop$" "SIF-TD Enregistrement" "%OSGEO4W_ROOT%\apps\paggf\paggf_encodage_ef.qgs" "%OSGEO4W_ROOT%\apps\paggf\icon.ico"
